Name:           jetbrains-annotations
Version:        24.1.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Annotations for JVM-based languages

License:        ASL 2.0
URL:            https://www.jetbrains.org/
Source0:        https://github.com/JetBrains/java-annotations/archive/%{version}/java-annotations-%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/jetbrains/annotations/%{version}/annotations-%{version}.pom

BuildArch:      noarch
#ExclusiveArch:  noarch %%{java_arches}

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)

%description
This package contains a set of Java annotations which can be used in
JVM-based languages.  They serve as additional documentation and can be
interpreted by IDEs and static analysis tools to improve code analysis.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -n java-annotations-%{version}
cp -p %{SOURCE1} pom.xml

%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin:3.10.1 . '<configuration><source>1.8</source><target>1.8</target></configuration>'

%mvn_file org.jetbrains:annotations %{name}
%mvn_alias org.jetbrains:annotations com.intellij:

# Assemble the sources to build
cp -a common/src src
cp -p java8/src/main/java/org/jetbrains/annotations/*.java \
      src/main/java/org/jetbrains/annotations

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed May 22 2024 ns80 <ns80> 24.1.0-1.mga10
+ Revision: 2066078
- new version 24.1.0 for java 21

* Wed Feb 12 2020 umeabot <umeabot> 15.0-5.mga8
+ Revision: 1491359
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 15.0-4.mga7
+ Revision: 1263318
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 15.0-3.mga6
+ Revision: 1100715
- imported package jetbrains-annotations


* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 15.0-3
- regenerate build-requires

* Wed Apr 27 2016 gil cattaneo <puntogil@libero.it> 15.0-2
- review fixes

* Sun Mar 20 2016 gil cattaneo <puntogil@libero.it> 15.0-1
- initial rpm
